Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455073 - segfault in is_ad_subtype - nssldap to openldap
Summary: segfault in is_ad_subtype - nssldap to openldap
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Zeleny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-11 20:22 UTC by Zing
Modified: 2009-03-19 15:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-19 15:12:14 UTC


Attachments (Terms of Use)
backtrace of segfault (deleted)
2008-07-11 20:26 UTC, Zing
no flags Details

Description Zing 2008-07-11 20:22:54 UTC
Description of problem:
I can crash openldap fairly easily using nssldap.  Sometimes it's immediate,
sometimes I can get through 100's of queries (using the "id" command) before
openldap segfaults.

It looks like it always bombs in is_ad_subtype though. 

Version-Release number of selected component (if applicable):
openldap-2.4.8-6.fc9.i386
nss_ldap-259-3.fc9.i386

How reproducible:
always.

Steps to Reproduce:
1. the openldap directory populated with about 1500 users (ou=People,..) and
about 1500 groups (ou=groups,...)
2. setup system with authconfig to use ldap name lookups.
3. i have a script which calls "id <userid>" for all the users.

Actual results:
either immediately or eventually openldap segfaults.

Expected results:
no segfault.

Additional info:
i'll attach some more info...

Comment 1 Zing 2008-07-11 20:26:42 UTC
Created attachment 311616 [details]
backtrace of segfault

Comment 2 Zing 2008-07-11 20:36:37 UTC
/etc/ldap.conf
=================================
base dc=mine,dc=us
timelimit 120
bind_timelimit 120
idle_timelimit 3600
nss_base_passwd ou=People,dc=mine,dc=us?one
nss_base_shadow ou=People,dc=mine,dc=us?one
nss_base_group  ou=Group,dc=mine,dc=us?one
nss_initgroups_ignoreusers
root,ldap,named,avahi,haldaemon,dbus,radvd,tomcat,radiusd,news,mailman,nscd,gdm,polkituser
uri ldap://ldapserver
ssl no
tls_cacertdir /etc/openldap/cacerts
pam_password md5
===================================================

Comment 3 Zing 2008-07-12 19:55:07 UTC
Well, I built openldap-2.4.10-2 from rawhide and so far I've done a couple
thousand queries with no segfaults.  Possibly the internal bdb upgrade to 4.6
helps/fixes the problem.

Comment 4 Jan Safranek 2008-07-16 11:34:04 UTC
I'd rather not rebase the internal bdb in middle of Fedora lifecycle, but I can
try to update openldap to openldap-2.4.10, which should fix the issue. I created
a test build for you at http://people.redhat.com/jsafrane/bugs/455073/, could
you please give it a try? Let me know if it works for you.


Comment 5 Zing 2008-07-17 02:26:11 UTC
Your right, that works. thanks.

Comment 6 Fedora Update System 2008-07-21 08:19:17 UTC
openldap-2.4.10-1.fc9 has been submitted as an update for Fedora 9

Comment 7 Fedora Update System 2008-07-23 07:20:59 UTC
openldap-2.4.10-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openldap'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6653

Comment 8 Fedora Update System 2008-08-07 23:51:06 UTC
openldap-2.4.10-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Admin XMLRPC Client 2009-03-19 07:36:55 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.